%define module_name Log-ger-UseDataDumper
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Use Data::Dumper (with nicer defaults) to dump data structures
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Log-ger-UseDataDumper

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module sets the the Log::ger manpage dumper to the Data::Dumper manpage, which by default is
already the case but in this edition the default configuration is somewhat
closer to that of the Data::Dump manpage:

 Indent => 1,
 Purity => 1,
 Terse  => 1,

This module also lets you configure Data::Dumper during import (see example in
Synopsis).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/L*

%changelog
* Fri May 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- updated by package builder

* Tue Jun 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

